Method | Description |
|---|---|
POST api/v1/register/user
| Register the user with the device type of
DeviceTypeAndroidWearable(300)
to receive message notifications. |
GET /api/v1/client/message/recent
| Retrieve the most recent messages from the user. |
POST /api/v1/signout/user
| Sign out the user and de-register the push ID. |
curl -X 'POST' \
'https://<ZEMS_URL>/api/v1/register/user' \
-H 'accept: application/json' \
-H 'ApiKey: <ZEMS_API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"device_push": {
"device_id": "",
"device_type": 300,
"push_id": "",
"push_route": ""
},
"password": "",
"server": "",
"settings": "",
"userlogin": ""
}'
curl -X 'POST' \ 'https://<ZEMS_URL>/api/v1/client/message/recent?numberOfMessage=3 \
-H 'accept: application/json' \
-H 'ApiKey: <ZEMS_API_KEY>' \
-H 'authorization: Bearer <TOKEN>' \
-H 'Content-Type: application/json' \
curl -X 'POST' \ 'https://<ZEMS_URL/api/v1/signout/user ‘ \
-H 'accept: application/json' \
-H 'ApiKey: <ZEMS_API_KEY>' \
-H 'authorization: Bearer <TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"device_id": "",
"device_type": 300,
"push_id": "",
"push_route": ""
}'